[Testing Update] 2019-11-08 - Kernels, Pamac, Plasma, Mesa, KDE Apps

Hello community,

I am happy to announce another Testing Update.


Check-out Wayfire Linux based on Manjaro

With this we have rebuilt most of our kernels with extramodules and ship the latest packages of KDE-Plasma 5.17.3. Pamac got some needed fixes.

Some feature-updates:

  • Plasma is now at 5.17.3
  • Apps are at 19.08.3
  • Thunderbird got some needed fixes in 68.2.2
  • The bi-weekly Mesa update 19.2.3 brings some fixes and stabilizations
  • The usual upstream fixes and updates

If you like following latest Plasma development you may also like to check out our current version of mnjaro-kde-vanilla, which we build on a regular basis against kde-git master packages.

As always we appreciate your input and feedback for the updates.


Our current supported kernels:

  • linux316 3.16.75
  • linux44 4.4.199
  • linux49 4.9.199
  • linux414 4.14.152
  • linux419 4.19.82
  • linux52 5.2.21 [EOL] (no catalyst module!)
  • linux53 5.3.9 (no catalyst module!)
  • linux54 5.4.0-rc5 (not all modules build yet!)
  • linux419-rt 4.19.72_rt26
  • linux52-rt 5.2.21_rt13

Package Changes (Fri Nov 8 17:43:01 CET 2019)

  • testing community x86_64: 451 new and 493 removed package(s)
  • testing core x86_64: 30 new and 29 removed package(s)
  • testing extra x86_64: 515 new and 580 removed package(s)
  • testing multilib x86_64: 12 new and 12 removed package(s)

A detailed list of all changes can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

13 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


gnome-shell-extension-desktop-icons

the pkgver 19.10.1 ship with an hook to remove the capability from gnome-shell. A message is present during install but essentially you need to reboot the system to show correctly the icons in the desktop. More info here

i add also
check for gain in multi cpu threads , and poweroff for older than Ivybridge

just a small typo - it's rc6, btw thanks for the update!

0 problems for the moment. Smooth :slight_smile:

voted no issue but I'm using unstable on my machines at present. there was no announcement for that branch when these updates were pushed so touching base here instead :wink:

according to the post, plasma should be 5.17.3, but it still shows 5.17.2 on all of my machines

grafik

also, i got some errors from some tar.gz packages - 404 - etcher for example. it got updated, but on both of my machines after the system update, pamac showed an error for some of the tar.gz downlaods. but no problems - another check for updates with pamac or pacman does not find any "missing" updates. (pacman -Syyu) tells me - no updates available.

2 Likes

You should have 5.17.3. but mine shows the same :man_shrugging: and i'm on unstable

Regarding the missing packages, please post the update processing information with the corresponding time stamps for today's transaction from the end of /var/log/pacman.log

It was probably down to a partially synchronised mirror though, always check repo.manjaro.org before updating your system.

How's the unstable branch? I'd like to switch to it but I want to know if I should keep using testing or I can move hands down to unstable with no issues and also how's the updating record

I only just started using it bare metal myself but I have Timeshift setup I use specifically so that I can rollback any problematic updates. I did the same on testing so thought I may as well go unstable.

Of the couple of updates I have had, no showstoppers yet. I am using KDE though so my experience may differ greatly from yours. Read the thread about GNOME freezes on unstable for example as you are using a GTK based environment I believe.

No issues on my end: linux53+nvidia-440.26+zfs+xfce
Thank you!

Are you sure? I just checked kde.org and can find no news about 5.17.3 :man_shrugging:

2 Likes

Are you sure about that? I only find 5.17.2.

Package stable testing unstable
plasma-desktop 5.17.2-1 5.17.2-1 5.17.2-1

Perhaps simply a typo?

1 Like

Yes, the packages are release candidates for 5.17.3 which is due out on the 12th November 2019 but also @philm hit 88mph in the DeLorean again :wink:

2 Likes

And here I was thinking he had a TARDIS :man_facepalming:

3 Likes

KDE/AMD Vega 56 - No issues, the camper is happy. I repeat: The camper is happy. <end transmission>

2 Likes

Sorry, typo on my end

4 Likes

Everfything works without a hitch, but found it interesting that the net size difference after this update is apparently almost half a gig smaller. Makes you wonder what was trimmed, in what packages.

1 Like

Hakuna matata! Everything working just fine. :slightly_smiling_face:

1 Like

I had troubles while trying to update via pamac. It stopped with the message
Interne Konflikte werden aufgelöst....
I then tried to update with pacman but then this message appeared:

Suche nach in Konflikt stehenden Paketen...
Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen)
:: Installation von pamac-common (9.1.0-2) verletzt Abhängigkeit 'pamac-common<9.1.0', benötigt von pamac-qt

Then I just deinstalled pamac and did the update via pacman. It seems everything is fine now.

1 Like

Forum kindly sponsored by